Skip to main content
GET
/
api
/
v1
/
notifications
List Notifications
curl --request GET \
  --url https://api.example.com/api/v1/notifications
{
  "notifications": [
    {
      "id": 1,
      "user_id": 1,
      "type": "visit_overdue",
      "severity": "warn",
      "message": "It's been 35 days since your last tax home visit",
      "amount_cents": null,
      "is_read": false,
      "read_at": null,
      "is_resolved": false,
      "resolved_at": null,
      "created_at": "2025-02-20T08:00:00.000Z"
    }
  ],
  "unread_count": 3
}
Returns paginated notifications and the total unread count.

Query Parameters

page
integer
default:"1"
Page number (1+).
limit
integer
default:"20"
Maximum notifications per page (1–50).

Response

{
  "notifications": [
    {
      "id": 1,
      "user_id": 1,
      "type": "visit_overdue",
      "severity": "warn",
      "message": "It's been 35 days since your last tax home visit",
      "amount_cents": null,
      "is_read": false,
      "read_at": null,
      "is_resolved": false,
      "resolved_at": null,
      "created_at": "2025-02-20T08:00:00.000Z"
    }
  ],
  "unread_count": 3
}
notifications[].type
string
Alert type: stipend_risk, itinerant_risk, property_rented_out, long_assignment, visit_overdue, missing_docs, gsa_exceeds, credential_expiring, quarterly_overdue, quarterly_due.
notifications[].severity
string
danger, warn, or info.